%define upver 0.8.0
%define subver 5

Summary:	Qt GUI for fsarchiver
Name:		qt5-fsarchiver
Version:	%{upver}.%{subver}
Release:	6
License:	GPLv2+ and GPLv3+
Group:		Archiving/Backup
Url:		http://qt4-fsarchiver.sourceforge.net/
Source0:	http://downloads.sourceforge.net/%{name}/source/%{name}-%{upver}-%{subver}.tar.gz
Source1:	qt5-fsarchiver-ru.tar.gz
Patch0:		qt5-fsarchiver-desktop.patch
BuildRequires:	e2fsprogs
BuildRequires:	qt5-linguist-tools
BuildRequires:	attr-devel
BuildRequires:	bzip2-devel
BuildRequires:	liblzo-devel
BuildRequires:	pkgconfig(blkid)
BuildRequires:	pkgconfig(ext2fs)
BuildRequires:	pkgconfig(libgcrypt)
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Widgets)
BuildRequires:	pkgconfig(zlib)
Requires:	gdisk
Requires:	nfs-utils
Requires:	nmap
Requires:	samba
Requires:	samba-client
Requires:	sshfs-fuse
Requires:	sshpass
Requires:	xfsprogs

%description
qt5-fsarchiver is a GUI for the program fsarchiver.

FSArchiver a system tool that allows you to save the contents of
a file-system to a compressed archive file. The file-system can be
restored on a partition which has a different size and it can be
restored on a different file-system.

%files
%{_sbindir}/%{name}
%{_datadir}/applications/gnome-qt5-fsarchiver.desktop
%{_datadir}/applications/kde-qt5-fsarchiver.desktop
%{_datadir}/applications/mate-qt5-fsarchiver.desktop
%{_iconsdir}/hicolor/48x48/apps/%{name}.png
%{_docdir}/%{name}/doc/*
%{_datadir}/qt5/translations/%{name}*.qm
%{_datadir}/qt5/translations/%{name}*.ts
%{_sbindir}/findsmb-qt5
%{_sbindir}/qt5-fsarchiver_polkit
%{_datadir}/polkit-1/actions/org.project.pkexec.run-qt5-fsarchiver.policy


#----------------------------------------------------------------------------

%prep
%setup -q -n %{name}
%patch0 -p1

pushd translations
tar -xvzf %{SOURCE1}
popd

%build
%qmake_qt5 qt5-fsarchiver.pro
%make

%install
%makeinstall_qt

#clean doc directory from backup files
rm -rf %{buildroot}%{_datadir}/doc/qt5-fsarchiver/doc/*~

mkdir -p %{buildroot}%{_iconsdir}/hicolor/48x48/apps/
mv %{buildroot}%{_datadir}/app-install/icons/harddrive.png %{buildroot}%{_iconsdir}/hicolor/48x48/apps/%{name}.png

install -m 0644 -p translations/*.ts %{buildroot}%{_datadir}/qt5/translations/


%changelog

* Tue Feb 14 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 0.8.0.5-6
- (85195b2) Spec cleanup


